Subject: [Simple] MSRP-ACM: c/m versus a=path, and how to update 4975 session matching

From: "Christer Holmberg" <[email-masked]>
Date: Tue, 13 Oct 2009 04:17:32 +0200

Hi,

One of the remaining open issues of MSRP ACM was whether we should use the SDP c/m line for routing (as for other media), which is what is currently described in the draft, or whether we should continue using the a=path attribute as in legacy MSRP (RFC 4975).

A group of interested people have been discussing this quite much since Stockholm, and our suggestion would be that we would use the a=path attribute. The reason is that it does not re-define the MSRP routing mechanism completely, and we do not need to describe how To/From-Path headers are build based on c/m lines etc. But, if anyone still thinks that we should use the c/m line for routing, please indicate so on the list asap.

The next issue, which was briefly discussed already in Stockholm, is the issue regarding ACM-legacy interoperability when an intermediate modifies the SDP a=path attribute (or, in case of c/m routing, the c/m parameters).

Section 7.3 RFC 4975 defines a session maching procdure, how a client when it receives an MSRP message checks whether the message belongs to an ongoing session. The client does that by comparing the received To-Path URI with SDP a=path URIs for ongoing session(s).  The whole URI (address information part, session-id part etc) is used for the check, so if a ACM supporting intermediate modifies the SDP a=path attribute (but do not modify the associated MSRP messages), the session match will produce a failure at the legacy client.

The proposed mechanism to solve that is to update RFC 4975 (most likely only a change to section 7.3 is needed), and say that only the session-id part of the URI is used for the matching. Again, this was discussed briefly already in Stockholm, but we decided to first deal with the a=path versus c/m routing issue.

The exact procedure for the 4975 update is still to be discussed, and our intention is to spend meeting time in Hiroshima for that.

Thanks!

Christer

---

From: "Christer Holmberg" <[email-masked]>
Date: Wed, 14 Oct 2009 21:11:18 +0200

Hi,

An open ACM issue is regarding the usage of the a=connection attribute
for COMEDIA.

The issue was presented in Stockholm, and some people requested time to
think about it.

I have not seen any input from those people, so my suggestion is that we
do NOT use the attribute, since:

1. MSRP already specifies connection reuse 
2. How would the attrbiute be sent to MSRP relays?

Please let me know if you do not agree to this suggestion.

Regards,

Christer

---

From: Ben Campbell <[email-masked]>
Date: Wed, 14 Oct 2009 14:24:11 -0500

<as individual>

> Please let me know if you do not agree to this suggestion.

I concur with your suggestion and the reasoning behind it.

Thanks!

Ben.